Updates on Cryptshare regarding "Logjam"

Dear Customers,

You may have heard of the recent security issue called “Logjam”. We want to notify you that:

  • Cryptshare Server V3: is not affected by this bug
  • Cryptshare Server V2: is affected by this bug

Please be aware that Cryptshare V2 has not received further development since 2013 when it was replaced by its successor V3. We strive to maintain the highest measures for security in our latest versions but not so in retired versions. Therefore we urge all remaining customers who are still running V2 to immediatelyupdate to the newest version available.

Since most of our customers have already successfully upgraded to V3 support for Version 2 will be restricted from September 2015 on. This means that documentation, software, language packages and other resources will have limited available for download. If you still need support with running your Server under V2 or with upgrading from V2 to V3 after this date you can order it outside of the regular support.

Furthermore you can find all the necessary downloads and information on our customers’ login section:

https://login.cryptshare.com/

If you don’t have a login yet you can easily set one up for free as a customer in just a few clicks.
We are happy to help you in case of any further requests and will be keeping you posted with further developments.

Sincerely
Your Cryptshare team